#ifndef DATASENDER_H
#define DATASENDER_H

#include <QObject>
#include <QUrl>
#include <QNetworkAccessManager>
#include <QNetworkRequest>
#include <QNetworkReply>
#include <QTimer>
#include <json-c/json.h>
#include "../ytCore/yt_unit_shm.h"
#include "QReplyTimeout.h"

class DataSender : public QObject
{
    Q_OBJECT
public:
    explicit DataSender(QObject *parent = 0,QString serverPath="", QString id="");
    
signals:
    
public slots:
    void time_out();
    void query_finishedSlot(QNetworkReply *reply);
    void reply_timeout();
private:
    bool waitting;
    QString ServerPath;
    QString SelfId;
    QTimer *timer;
    QNetworkAccessManager *queryManager;
};

#endif // DATASENDER_H
